org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ConnectionLoggerImpl

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ConnectionLoggerImpl

All Implemented Interfaces:
  ConnectionLogger

    public class ConnectionLoggerImpl
    extends java.lang.Object
    implements ConnectionLogger

Connection logger that writes both incoming and outgoing streams into logWriter with simple annotations.

### Nested Class Summary

Nested Classes
`static interface` `ConnectionLoggerImpl.LogLifecycleListener` Additional interface logger sends its output to.

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.ConnectionLogger

`ConnectionLogger.ConnectionCloser, ConnectionLogger.Factory, ConnectionLogger.StreamListener`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionLoggerImpl(java.io.Writer logWriter, ConnectionLoggerImpl.LogLifecycleListener lifecycleListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ITerminate` `getConnectionTerminate()`
`ConnectionLogger.StreamListener` `getIncomingStreamListener()`
`ConnectionLogger.StreamListener` `getOutgoingStreamListener()`
`void` `handleEos()` Notifies logger that EOS has been received from remote.
`void` `setConnectionCloser(ConnectionLogger.ConnectionCloser connectionCloser)` Connection may allow the logger to close it.
`void` `start()` Notifies logger that actual transmission is starting.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionLoggerImpl

    public ConnectionLoggerImpl(java.io.Writer logWriter,
                                ConnectionLoggerImpl.LogLifecycleListener lifecycleListener)

### Method Detail

#### getIncomingStreamListener

    public ConnectionLogger.StreamListener getIncomingStreamListener()

Specified by:
  `getIncomingStreamListener` in interface `ConnectionLogger`
Returns:
  listener for incoming socket stream or null

#### getOutgoingStreamListener

    public ConnectionLogger.StreamListener getOutgoingStreamListener()

Specified by:
  `getOutgoingStreamListener` in interface `ConnectionLogger`
Returns:
  listener for outgoing socket stream or null

#### start

    public void start()

Description copied from interface: `ConnectionLogger`
Notifies logger that actual transmission is starting. After this `ConnectionLogger.handleEos()` is guaranteed to be called.

Specified by:
  `start` in interface `ConnectionLogger`

#### handleEos

    public void handleEos()

Description copied from interface: `ConnectionLogger`
Notifies logger that EOS has been received from remote. Technically some traffic still may go through writer (i.e. be sent to remote) after this.

Specified by:
  `handleEos` in interface `ConnectionLogger`

#### getConnectionTerminate

    public ITerminate getConnectionTerminate()

#### setConnectionCloser

    public void setConnectionCloser(ConnectionLogger.ConnectionCloser connectionCloser)

Description copied from interface: `ConnectionLogger`
Connection may allow the logger to close it. It is nice for UI, where user sees logger and the corresponding stop button.

Specified by:
  `setConnectionCloser` in interface `ConnectionLogger`